Bug 815030 - chmod posix test fails on stripe volume nfs mount
Summary: chmod posix test fails on stripe volume nfs mount
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs
Version: 1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Amar Tumballi
QA Contact:
URL:
Whiteboard:
Depends On: GLUSTER-3807
Blocks: 811632
TreeView+ depends on / blocked
 
Reported: 2012-04-22 07:18 UTC by Scott Haines
Modified: 2015-01-22 15:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: GLUSTER-3807
Environment:
Last Closed: 2012-05-01 11:17:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0538 0 normal SHIPPED_LIVE Red Hat Storage Software Appliance 3.2 bug fix update. 2012-05-01 15:15:12 UTC

Description Scott Haines 2012-04-22 07:18:51 UTC
+++ This bug was initially created as a clone of Bug #765539 +++

a stripe volume with 2 brick mounted through nfs, failing chmod test

/opt/qa/tools/posix-testsuite/tests/chmod/00.t   (Wstat: 0 Tests: 58 Failed: 1)
  Failed test:  46


Intermittent failures of link tests: 

/opt/qa/tools/posix-testsuite/tests/link/00.t    (Wstat: 0 Tests: 82 Failed: 1)
  Failed test:  77

--- Additional comment from aavati@redhat.com on 2011-11-16 01:55:45 EST ---

CHANGE: http://review.gluster.com/724 (Change-Id: Ib055578477461a24562d5da139809cf0965b931e) merged in master by Vijay Bellur (vijay@gluster.com)

--- Additional comment from aavati@redhat.com on 2012-01-04 02:00:57 EST ---

CHANGE: http://review.gluster.com/723 (Cluster/stripe setattr: Wind only to first_child for special files) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)

--- Additional comment from shmohan@redhat.com on 2012-02-17 01:37:41 EST ---

Build: 3.2.6qa3

Chmod issue is solved on this build but link tests failures are still happening intermittently.

Comment 3 errata-xmlrpc 2012-05-01 11:17:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0538.html


Note You need to log in before you can comment on or make changes to this bug.